javax.resource.spi

## Annotation Type ConfigProperty

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value={FIELD,METHOD})
      public @interface ConfigProperty

  Designates a JavaBean property as a configuration property
  Since:
    1.6

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `confidential` Indicates that the configuration property is confidential and recommends application server's configuration tools to use special visual aids for editing them.
    `java.lang.String` | `defaultValue` Inferred by the container for field based annotations if possible
    `java.lang.String[]` | `description` Description of the configuration property
    `boolean` | `ignore` Indicates that the configuration tools must ignore considering this Property during auto-discovery of Configuration properties.
    `boolean` | `supportsDynamicUpdates` Indicates that the configuration property supports dynamic updates to its value during the lifetime of the JavaBean
    `java.lang.Class` | `type` Inferred by the container if unspecified.

- - ### Element Detail

    - #### type

          public abstract java.lang.Class type

      Inferred by the container if unspecified.
      Default:
        java.lang.Object.class

  - - #### description

          public abstract java.lang.String[] description

      Description of the configuration property
      Default:
        {}

  - - #### defaultValue

          public abstract java.lang.String defaultValue

      Inferred by the container for field based annotations if possible
      Default:
        ""

  - - #### ignore

          public abstract boolean ignore

      Indicates that the configuration tools must ignore considering this Property during auto-discovery of Configuration properties.
      Default:
        false

  - - #### supportsDynamicUpdates

          public abstract boolean supportsDynamicUpdates

      Indicates that the configuration property supports dynamic updates to its value during the lifetime of the JavaBean
      Default:
        false

  - - #### confidential

          public abstract boolean confidential

      Indicates that the configuration property is confidential and recommends application server's configuration tools to use special visual aids for editing them.
      Default:
        false

Copyright 2015 IronJacamar (http://www.ironjacamar.org)